### Virtual Method

# GdkPixbuf.PixbufAnimationIter.get_pixbuf

#### Declaration [src]

    GdkPixbuf*
    get_pixbuf (
      GdkPixbufAnimationIter* iter
    )

#### Description [src]

Gets the current pixbuf which should be displayed.

The pixbuf might not be the same size as the animation itself (`gdk_pixbuf_animation_get_width()`, `gdk_pixbuf_animation_get_height()`).

This pixbuf should be displayed for `gdk_pixbuf_animation_iter_get_delay_time()` milliseconds.

The caller of this function does not own a reference to the returned pixbuf; the returned pixbuf will become invalid when the iterator advances to the next frame, which may happen anytime you call `gdk_pixbuf_animation_iter_advance()`.

Copy the pixbuf to keep it (don’t just add a reference), as it may get recycled as you advance the iterator.

#### Return value

Returns: `GdkPixbuf`
the pixbuf to be displayed
Ownership is not transferred to the caller